sf2::Sample::PlaybackState Class Reference

Reflects the current playback state for a sample. More...

`#include <SF.h>`

## Public Attributes

unsigned long | position
| Current position within the sample.
bool | reverse
| If playback direction is currently backwards (in case there is a pingpong or reverse loop defined).
unsigned long | loop_cycles_left
| How many times the loop has still to be passed, this value will be decremented with each loop cycle.

## Detailed Description

Reflects the current playback state for a sample.

Definition at line 280 of file SF.h.

## Member Data Documentation

## loop_cycles_left

unsigned long sf2::Sample::PlaybackState::loop_cycles_left

How many times the loop has still to be passed, this value will be decremented with each loop cycle.

Definition at line 284 of file SF.h.

## position

unsigned long sf2::Sample::PlaybackState::position

Current position within the sample.

Definition at line 282 of file SF.h.

## reverse

bool sf2::Sample::PlaybackState::reverse

If playback direction is currently backwards (in case there is a pingpong or reverse loop defined).

Definition at line 283 of file SF.h.

The documentation for this class was generated from the following file:

- SF.h